﻿
/* Global Component Overrides */
.rz-sidebar-toggle.sidebarToggleBtn {
    background-color: var(--rz-sidebar-background-color) !important;
    color: var(--rz-sidebar-color) !important;
    border-inline-end: none !important;
}

.rz-dialog-mask {
    z-index: 999 !important;
}

.rz-dialog {
    z-index: 1001 !important;
}

.rz-dialog-side {
    z-index: 1000 !important;
}

.rz-splitbutton-menubutton {
    min-width: 2rem !important;
    padding: 0.625rem 0 !important;
}

.rz-header {
    padding: .5rem !important;
}

/* Material3 Theme Overrides - Light & Dark Mode */
.rz-material3,
.rz-material3-dark {
    /*--rz-link-color: #37A0D2;*/
    --rz-dialog-title-font-weight: 600;
    --rz-dialog-border-radius: 5px;
    --rz-dialog-title-padding-block: 0.75rem 0.5rem;
    --rz-fieldset-legend-margin-block: 0 0.5rem;
    --rz-button-border-radius: 5px;
    --rz-primary: #37A0D2;
    --rz-primary-dark: #1d7199;
    --rz-success: #16a34a;
    --rz-success-dark: #127336;
    --rz-success-light: #20dd66;
    --rz-dialog-title-font-size: 16px;
    --rz-grid-border-radius: 6px;
    --rz-upload-button-bar-border-radius: 6px;
    --rz-switch-checked-background-color: var(--rz-primary) !important;
    --rz-radio-circle-background-color: var(--rz-primary);



    .rz-radiobutton-box.rz-state-active {
        border-color: var(--rz-primary) !important;
    }
}

/* Software Theme Overrides - Light & Dark Mode */
.rz-software,
.rz-software-dark {
--rz-header-min-height: 4.5rem;
}